libgcrypt20 (1.10.3-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:03:56 +0200

libgcrypt20 (1.10.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 Dec 2023 11:47:14 +0100

libgcrypt20 (1.10.3-1) experimental; urgency=medium

  * New upstream release.
    + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 Nov 2023 14:29:24 +0100

libgcrypt20 (1.10.2-3) unstable; urgency=medium

  [ Simon Josefsson ]
  * Update Homepage: URL.

  [ Andreas Metzler ]
  * Drop --insert-timestamp linker option on mingw*, binutils 2.41 should use
    SOURCE_DATE_EPOCH automatically and the Debian package has dropped the
    patch to add the --insert-timestamp option. Closes: #1052219

 -- Andreas Metzler <ametzler@debian.org>  Tue, 19 Sep 2023 13:48:32 +0200

libgcrypt20 (1.10.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Jun 2023 11:21:04 +0200

libgcrypt20 (1.10.2-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Support the noudeb build profile. Closes: #1024943

  [ Andreas Metzler ]
  * New upstream release.
    + Drop superfluous patches.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Apr 2023 13:38:50 +0200

libgcrypt20 (1.10.1-3) unstable; urgency=medium

  * 32-build-Prefer-gpgrt-config-when-available.patch from
    LIBGCRYPT-1.10-BRANCH updates libgcrypt.m4 to prefer gpgrt-config over
    libgcrypt-config even when --with-libgcrypt-prefix is set.
  + 35-keccak-Use-size_t-to-avoid-integer-overflow.patch: Fix wrong result for
    SHA3 functions > 4GB invoked in one-shot.
  + 37-doc-Update-document-for-pkg-config-and-libgcrypt.m4.patch: Suggest
    pkg-config instead of libgcrypt-config.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Nov 2022 17:59:10 +0100

libgcrypt20 (1.10.1-2) unstable; urgency=low

  * Upload to unstable.
  * Update from upstream LIBGCRYPT-1.10-BRANCH, renaming the patch in the
    previous upload and adding another fix
    (31_0003-hwf-ppc-fix-missing-HWF_PPC_ARCH_3_10-in-HW-feature.patch).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Apr 2022 18:32:32 +0200

libgcrypt20 (1.10.1-1) experimental; urgency=low

  * New upstream version.
    + Drop cherrypicked patches.
    + Add post-release fix 31_0001-kdf-argon2-Fix-for-the-case-output-64.patch

 -- Andreas Metzler <ametzler@debian.org>  Wed, 30 Mar 2022 18:44:02 +0200

libgcrypt20 (1.10.0-2) experimental; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgpg-error-dev.
    + Build-Depends-Indep: Drop versioned constraint on texinfo.

  [ Andreas Metzler ]
  * Upgrade to head of LIBGCRYPT-1.10-BRANCH.
    + 30_0001-Post-release-updates.patch
    + 30_0002-jitterentropy-Include-fcntl.h-and-limits.h.patch
    + 30_0003-kdf-Use-u64.patch
    + 30_0004-Register-DCO-for-Clemens-Lang.patch
    + 30_0005-fips-Fix-memory-leaks-in-FIPS-mode.patch
    + 30_0006-hmac-Fix-memory-leak.patch
    + 30_0007-build-Fix-m4-gpg-error.m4.patch
    + 30_0008-Silence-compiler-warnings-for-possible-alignment-pro.patch
    + 30_0009-fips-Use-ELF-header-to-find-hmac-file-offset.patch
    + 30_0010-fips-Fix-previous-commit.patch
    + 30_0011-fips-Integrity-check-improvement-with-only-loadable-.patch
    + 30_0012-fips-More-portable-integrity-check.patch
    + 30_0013-fips-Fix-gen-note-integrity.sh-script-not-to-use-cmp.patch
    + 30_0014-fips-Clarify-what-to-be-hashed-for-the-integrity-che.patch
  * Point vcs-* to experimental branch.

  [ Johannes Schauer Marin Rodrigues ]
  * debian/libgcrypt20.postinst: only run clean-up-unmanaged-libraries on
    upgrades and not on new installations. Closes: #1007754

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Mar 2022 07:27:23 +0100

libgcrypt20 (1.10.0-1) experimental; urgency=low

  * Run wrap-and-sort -ast.
  * New upstream version.
    + Drop 30_01-poly1305-fix-building-with-arm-linux-gnueabihf-gcc-1.patch.
    + Add new symbols to symbol file, bump versioned dependency info of all
      symbols to 1.10.0. (Many enums extended, most notably gcry_ctl_cmds, i.e.
      the arguments for gcry_control()).

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Feb 2022 15:48:15 +0100

libgcrypt20 (1.9.4-5) unstable; urgency=medium

  * Pull 30_01-poly1305-fix-building-with-arm-linux-gnueabihf-gcc-1.patch from
    upstream GIT master branch, fixing FTBFS on armhf. Closes: #1001675

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 Dec 2021 17:56:04 +0100

libgcrypt20 (1.9.4-4) unstable; urgency=low

  * Import clean-up-unmanaged-libraries from the debian glib salsa repository.
  * Work around unreproducible (possibly fixed) dpkg bug 949395 and use
    clean-up-unmanaged-libraries to remove leftover libgcrypt versions in
    /lib. (Thanks, Simon McVittie!) Closes: #984884
  * Fix references for CVE-2021-40528 and CVE-2021-33560 in previous
    changelogs.
  * Add lintian override for false positive
    debian-rules-sets-dpkg-architecture-variable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Nov 2021 13:33:35 +0100

libgcrypt20 (1.9.4-3) unstable; urgency=medium

  * Fix libgcrypt-config wrapper to use 'command -v' instead of 'which'.
    (Thanks, Emmanuel Bouthenot)
    Closes: #993244

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Sep 2021 13:43:26 +0200

libgcrypt20 (1.9.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Sep 2021 07:29:03 +0200

libgcrypt20 (1.9.4-1) experimental; urgency=medium

  * New upstream release. (Also includes fix for Elgamal encryption for
    other implementations. CVE-2021-40528, formerly know as CVE-2021-33560,
    this number now points to a local side channel attack which is
    fixed by libgcrypt 1.9.4, too.)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 Aug 2021 19:17:04 +0200

libgcrypt20 (1.9.3-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 21 Apr 2021 18:22:56 +0200

libgcrypt20 (1.9.2-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 18 Feb 2021 18:00:38 +0100

libgcrypt20 (1.9.2~beta16-1) experimental; urgency=low

  * Simplify ./configure for Windows build, do not disable optimization and
    assembly, set timestamp=$(SOURCE_DATE_EPOCH) instead of disabling the
    timestamp.
  * New upstream release.
    + Drop 30_Revert-Define-HW-feature-flags-per-architecture.patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Feb 2021 08:08:19 +0100

libgcrypt20 (1.9.1-1) experimental; urgency=low

  * Add Bug-Database and Bug-Submit to upstream/metadata.
  * New upstream version.
    + Fixes heap buffer overflow introduced in 1.9.0.
      https://dev.gnupg.org/T5275. CVE-2021-3345 Closes: #981336
  * 30_Revert-Define-HW-feature-flags-per-architecture.patch Fix w* build
    error.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 30 Jan 2021 13:51:54 +0100

libgcrypt20 (1.9.0-1) experimental; urgency=low

  * New upstream version.
   + Drop 13_lessdeps_libgcrypt-pkgconfig.diff
   + Update 25_norevisionfromgit.diff.
   + List new symbols, bump all version requirements in libgcrypt20.symbols.
     (New args for gcry_control, new algorithms.)
   + Update copyright file.
   + Update algorithm list in package descriptions.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Jan 2021 08:39:32 +0100

libgcrypt20 (1.8.7-6) unstable; urgency=medium

  * Update from LIBGCRYPT-1.8-BRANCH:
    + 30_10-cipher-Fix-ElGamal-encryption-for-other-implementati.patch
      This is nowadays registered as CVE-2021-40528 but was at the time of
      this upload identified as CVE-2021-33560; however
      this number now points to a local side channel attack.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 27 May 2021 18:07:38 +0200

libgcrypt20 (1.8.7-5) unstable; urgency=medium

  * Pull fix for ECC decyryption regression (caused by
    30_08-ecc-Check-the-input-length-for-the-point.patch) from
    LIBGCRYPT-1.8-BRANCH. Closes: #987956

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 May 2021 18:06:14 +0200

libgcrypt20 (1.8.7-4) unstable; urgency=medium

  * Update from LIBGCRYPT-1.8-BRANCH:
    + 30_07-Fix-previous-commit.patch
    + 30_08-ecc-Check-the-input-length-for-the-point.patch

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 May 2021 13:58:47 +0200

libgcrypt20 (1.8.7-3) unstable; urgency=medium

  * Update from LIBGCRYPT-1.8-BRANCH:
    + 30_01-Post-release-updates.patch
    + 30_02-tests-Put-a-work-around-to-tests-random-for-macOS.patch
    + 30_03-ecc-Add-checking-key-for-ECDSA.patch
    + 30_04-Fix-ubsan-warnings-for-i386-build.patch
    + 30_05-Add-handling-for-Og-with-O-flag-munging.patch
    + 30_06-Make-sure-the-grcy_get_config-string-is-always-null-.patch

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 Feb 2021 15:27:13 +0100

libgcrypt20 (1.8.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 Oct 2020 08:00:01 +0100

libgcrypt20 (1.8.7-1) experimental; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libgcrypt-mingw-w64-dev, libgcrypt20-doc: Add Multi-Arch: foreign.

  [ Andreas Metzler ]
  * Update debian/upstream/signing-key.asc from
    https://gnupg.org/signature_key.html.
  * New upstream bugfix release.
  * Use dh v13 compat level.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 26 Oct 2020 10:19:55 +0100

libgcrypt20 (1.8.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 Jul 2020 07:09:01 +0200

libgcrypt20 (1.8.6-1) experimental; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Andreas Metzler ]
  * New upstream version.
    + Drop 40_*.patch
  * Install library to /usr/lib instead of /lib in udeb, too.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Jul 2020 13:08:25 +0200

libgcrypt20 (1.8.5-5) unstable; urgency=low

  * Upload to unstable.
  * Drop libgcrypt20-dev's Conflicts with ancient (pre-jessie)
    libgcrypt11-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Feb 2020 13:39:58 +0100

libgcrypt20 (1.8.5-4) experimental; urgency=low

  * Move library from /lib to /usr/lib instead of splitting
    runtime/development over both locations. This includes moving the
    pkgconfig file. Closes: #951039
  * Use DH 12 compat level.
    + Drop superfluous dh_missing override.
    + In debian/rules export DPKG_GENSYMBOLS_CHECK_LEVEL=4 instead of
      overriding override_dh_makeshlibs.
  * Update from upstream LIBGCRYPT-1.8-BRANCH:
    + 40_01-ecc-Add-a-keygrip-testcase-for-cv25519.patch
    + 40_02-ecc-Fix-wrong-handling-of-shorten-PK-bytes.patch
    + 40_03-Fix-declaration-of-internal-function-_gcry_mpi_get_u.patch
    + 40_04-random-Fix-include-of-config.h.patch
    + 40_05-Set-vZZ.16b-register-to-zero-before-use-in-armv8-gcm.patch
    + 40_06-Fix-wrong-code-execution-in-Poly1305-ARM-NEON-implem.patch
  * Add usr/lib/*/libgcrypt.la to debian/not-installed.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Feb 2020 11:39:04 +0100

libgcrypt20 (1.8.5-3) unstable; urgency=medium

  * Switch b-d from texlive-generic-recommended to texlive-plain-generic.
    Closes: #941536

 -- Andreas Metzler <ametzler@debian.org>  Wed, 02 Oct 2019 19:37:25 +0200

libgcrypt20 (1.8.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Aug 2019 19:08:39 +0200

libgcrypt20 (1.8.5-1) experimental; urgency=medium

  * Drop --add-udeb=libgcrypt20-udeb to work around debhelper bug #935577.
  * New upstream version.
    + Fixes ECDSA timing attack. CVE-2019-13627 Closes: #938938
    + Drop 30_doc-Fix-library-initialization-examples.patch
    + Ship newly available pkgconfig file in libgcrypt20-dev, moving gpg-error
      from Requires to Requires.private in new
      13_lessdeps_libgcrypt-pkgconfig.diff.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 30 Aug 2019 18:44:49 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgcrypt-mingw-w64-dev`.
